## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%ifarch %{ix86}
# Tests do not work properly on i686
%bcond_with check
%else
%bcond_without check
%endif
%global debug_package %{nil}

%global crate rio

Name:           rust-rio
Version:        0.9.4
Release:        %autorelease
Summary:        Rust bindings for io_uring

License:        GPL-3.0-or-later
URL:            https://crates.io/crates/rio
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * Fix the license identifier
Patch:          rio-fix-metadata.diff
# * Use correct pointer size on 32-bit arches
Patch2:        rio-pointer-size.patch

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
This package provides Rust bindings for io_uring.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LIZENZ
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/code-of-conduct.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+no_metrics-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+no_metrics-devel %{_description}

This package contains library source intended for building other packages which
use the "no_metrics" feature of the "%{crate}" crate.

%files       -n %{name}+no_metrics-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jul 12 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 0.9.4-2
- Fix build on i686

* Thu Jul 11 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 0.9.4-1
- Initial import; Fixes: RHBZ#2284640
## END: Generated by rpmautospec
